Updated patch for the debian dir

Norman Jordan njordan at shaw.ca
Mon May 5 09:14:07 UTC 2003


Here is an updated patch for the debian directory. There were some new
files in the last patch that didn't get added to CVS. These files are:
debian/gideon-plugins.install
debian/update_doc_index.sh
debian/cron.weekly
debian/gideon.postinst
debian/gideon.postrm

These are included in this patch.

Thanks.
-- 
Norman Jordan <njordan at shaw.ca>
-------------- next part --------------
diff -rNu kdevelop/debian/changelog gideon-2.999/debian/changelog
--- kdevelop/debian/changelog	2003-05-04 23:50:58.000000000 -0700
+++ gideon-2.999/debian/changelog	2003-05-05 00:06:04.000000000 -0700
@@ -1,3 +1,17 @@
+gideon (1:2.999-0cvs20030502) unstable; urgency=low
+
+  * Updated CVS sources
+  * Added automake1.7 to the build depends and gideon depends fields
+  * Fixed up the update_doc_index.sh script
+
+ -- Norman Jordan <njordan at debian.org>  Fri,  2 May 2003 09:28:26 -0700
+
+gideon (1:2.999-0cvs20030430) unstable; urgency=low
+
+  * Updated CVS sources
+
+ -- Norman Jordan <njordan at debian.org>  Wed, 30 Apr 2003 22:37:07 -0700
+
 gideon (1:2.999-0cvs20030429) unstable; urgency=low
 
   * Created a new package gideon-plugins
diff -rNu kdevelop/debian/control gideon-2.999/debian/control
--- kdevelop/debian/control	2003-05-04 23:50:58.000000000 -0700
+++ gideon-2.999/debian/control	2003-05-04 23:52:14.000000000 -0700
@@ -2,12 +2,12 @@
 Section: kde
 Priority: optional
 Maintainer: Norman Jordan <njordan at debian.org>
-Build-Depends: debhelper (>> 4.0.0), kdelibs4-dev, gettext, autoconf, automake1.6, kdelibs4-doc | kdelibs-doc, qt-doc | qt3-doc, flex, libdb4.1-dev | libdb4.0-dev | libdb3-dev
+Build-Depends: debhelper (>> 4.0.0), kdelibs4-dev, gettext, autoconf, automake1.6 | automake1.7, kdelibs4-doc | kdelibs-doc, qt-doc | qt3-doc, flex, libdb4.1-dev | libdb4.0-dev | libdb3-dev
 Standards-Version: 3.5.6.0
 
 Package: gideon
 Architecture: any
-Depends: ${shlibs:Depends}, autoconf, automake | automake1.6, kdebase-bin, gideon-data, gideon-plugins
+Depends: ${shlibs:Depends}, autoconf, automake | automake1.6 | automake1.7, kdebase-bin, gideon-data, gideon-plugins
 Recommends: make, gideon-doc
 Suggests: libqt3-mt-dev, qt3-doc, kdbg, kdelibs-dev, kdebase, kdelibs4-doc, htdig, sgmltools, gettext, a2ps, enscript, gv, qt3-tools, glimpse, ark, kpaint, kbabel, kiconedit, gdb, kdesdk-scripts, graphviz, stl-manual
 Description: An IDE for Unix/X11 - development version
diff -rNu kdevelop/debian/cron.weekly gideon-2.999/debian/cron.weekly
--- kdevelop/debian/cron.weekly	1969-12-31 16:00:00.000000000 -0800
+++ gideon-2.999/debian/cron.weekly	2003-05-04 23:52:14.000000000 -0700
@@ -0,0 +1,4 @@
+#!/bin/sh
+# Used to update the documentation index for KDevelop
+
+test -f "/usr/lib/gideon/update_doc_index.sh" && "/usr/lib/gideon/update_doc_index.sh" > /dev/null 2>&1
diff -rNu kdevelop/debian/gideon-plugins.install gideon-2.999/debian/gideon-plugins.install
--- kdevelop/debian/gideon-plugins.install	1969-12-31 16:00:00.000000000 -0800
+++ gideon-2.999/debian/gideon-plugins.install	2003-05-04 23:52:14.000000000 -0700
@@ -0,0 +1,3 @@
+debian/tmp/usr/share/services
+debian/tmp/usr/share/servicetypes
+debian/tmp/usr/lib/kde3/*
diff -rNu kdevelop/debian/gideon.postinst gideon-2.999/debian/gideon.postinst
--- kdevelop/debian/gideon.postinst	1969-12-31 16:00:00.000000000 -0800
+++ gideon-2.999/debian/gideon.postinst	2003-05-04 23:52:14.000000000 -0700
@@ -0,0 +1,5 @@
+#!/bin/sh
+set -e
+
+test -f "/usr/lib/gideon/update_doc_index.sh" && "/usr/lib/gideon/update_doc_index.sh" > /dev/null 2>&1 &
+
diff -rNu kdevelop/debian/gideon.postrm gideon-2.999/debian/gideon.postrm
--- kdevelop/debian/gideon.postrm	1969-12-31 16:00:00.000000000 -0800
+++ gideon-2.999/debian/gideon.postrm	2003-05-04 23:52:14.000000000 -0700
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+# postrm - finish removal of the 'gideon'-package
+
+GLOBAL_KDEVDOCTREEVIEW_DIR="/var/lib/gideon";
+GLOBAL_HTDIG_DIR="$GLOBAL_KDEVDOCTREEVIEW_DIR/helpindex"
+
+if [ "$1" = "purge" ]; then
+    rm -rf "$GLOBAL_HTDIG_DIR"
+    rm -rf "$GLOBAL_KDEVDOCTREEVIEW_DIR"
+fi
diff -rNu kdevelop/debian/update_doc_index.sh gideon-2.999/debian/update_doc_index.sh
--- kdevelop/debian/update_doc_index.sh	1969-12-31 16:00:00.000000000 -0800
+++ gideon-2.999/debian/update_doc_index.sh	2003-05-04 23:52:14.000000000 -0700
@@ -0,0 +1,142 @@
+#!/bin/sh
+
+set -e
+
+if [ ! -x /usr/bin/htdig -o ! -x /usr/bin/htmerge ]; then
+  exit 0
+fi
+
+QTDOC_PACKAGE="qt3-doc"
+QTDOC_DIR="/usr/share/qt3/doc/html"
+KDELIBSDOC_PACKAGE="kdelibs4-doc"
+KDELIBSDOC_DIR="/usr/share/doc/kde/HTML/en/kdelibs-apidocs"
+KDEVELOPDOC_PACKAGE="gideon-doc"
+KDEVELOPDOC_DIR="/usr/share/doc/kde/HTML/en/kdevelop"
+
+# Checks if a package is installed
+check_package_status() {
+  local package=${1}
+
+  if dpkg --status $package  2> /dev/null | grep '^Status: .* installed$' > /dev/null; then
+    echo "yes"
+  else
+    echo "no"
+  fi
+}
+
+GLOBAL_KDEVDOCTREEVIEW_DIR="/var/lib/gideon"
+GLOBAL_HTDIG_DIR="$GLOBAL_KDEVDOCTREEVIEW_DIR/helpindex"
+HTDIG_DATA_DIR="/usr/share/apps/kdevdoctreeview"
+
+get_indexed_versions() {
+  if [ -e "$GLOBAL_HTDIG_DIR/package_versions" ]; then
+    . "$GLOBAL_HTDIG_DIR/package_versions"
+  else
+    QTDOC_VERSION="0.0"
+    KDEDOC_VERSION="0.0"
+    KDEVELOPDOC_VERSION="0.0"
+  fi
+}
+
+update_files_list() {
+  local pkgname=${1}
+  local pkgdir=${2}
+
+  find "$pkgdir" -name "*.html" | \
+    awk 'OFS=""; {print "file://localhost", $0}' > "$GLOBAL_HTDIG_DIR/$pkgname""_files"
+}
+
+doc_dirs="$QTDOC_DIR $KDELIBSDOC_DIR $KDEVELOPDOC_DIR"
+
+# Create the directory global htdig directory if necessary
+if [ ! -d "$GLOBAL_KDEVDOCTREEVIEW_DIR" ]; then
+  mkdir "$GLOBAL_KDEVDOCTREEVIEW_DIR"
+fi
+
+if [ ! -d "$GLOBAL_HTDIG_DIR" ]; then
+  mkdir "$GLOBAL_HTDIG_DIR"
+  initial="-i"
+else
+  if [ ! -e "$GLOBAL_HTDIG_DIR/db.docdb" ]; then
+    initial="-i"
+  else
+    initial=""
+  fi
+fi
+
+get_indexed_versions
+
+need_update=0
+
+status=`check_package_status "$QTDOC_PACKAGE"`
+version=`dpkg --status $QTDOC_PACKAGE  2> /dev/null | grep '^Version: ' | cut -d ' ' -f 2`
+if [ ! -e "$GLOBAL_HTDIG_DIR/qtdoc_files" ] ||
+   ( [ $status == "yes" ] &&
+   dpkg --compare-versions $version gt $QTDOC_VERSION ); then
+  QTDOC_VERSION="$version"
+  `update_files_list "qtdoc" "$QTDOC_DIR"`
+  need_update=1
+fi
+
+status=`check_package_status "$KDELIBSDOC_PACKAGE"`
+version=`dpkg --status $KDELIBSDOC_PACKAGE  2> /dev/null | grep '^Version: ' | cut -d ' ' -f 2`
+if [ ! -e "$GLOBAL_HTDIG_DIR/kdelibsdoc_files" ] ||
+   ( [ $status == "yes" ] &&
+   dpkg --compare-versions $version gt $KDEDOC_VERSION ); then
+  KDEDOC_VERSION="$version"
+  `update_files_list "kdelibsdoc" "$KDELIBSDOC_DIR"`
+  need_update=1
+fi
+
+status=`check_package_status "$KDEVELOPDOC_PACKAGE"`
+version=`dpkg --status $KDEVELOPDOC_PACKAGE  2> /dev/null | grep '^Version: ' | cut -d ' ' -f 2`
+if [ ! -e "GLOBAL_HTDIG_DIR/kdevelopdoc_files" ] ||
+   ( [ $status == "yes" ] &&
+   dpkg --compare-versions $version gt $KDEVELOPDOC_VERSION ); then
+  KDEVELOPDOC_VERSION="$version"
+  `update_files_list "kdevelopdoc" "$KDEVELOPDOC_DIR"`
+  need_update=1
+fi
+
+if [ $need_update == 0 ]; then
+  exit 0
+fi
+
+# Create the htdig config file if necessary
+if [ ! -e "$GLOBAL_HTDIG_DIR/htdig.conf" ]; then
+  echo "database_dir:		$GLOBAL_HTDIG_DIR" >"$GLOBAL_HTDIG_DIR/htdig.conf"
+  echo "local_urls:		file://localhost=" >>"$GLOBAL_HTDIG_DIR/htdig.conf"
+  echo "local_urls_only:	true" >>"$GLOBAL_HTDIG_DIR/htdig.conf"
+  echo "maximum_pages:		1" >>"$GLOBAL_HTDIG_DIR/htdig.conf"
+  echo "image_url_prefix:	$HTDIG_DATA_DIR/pics/" >>"$GLOBAL_HTDIG_DIR/htdig.conf"
+  echo "star_image:		$HTDIG_DATA_DIR/pics/star.png" >>"$GLOBAL_HTDIG_DIR/htdig.conf"
+  echo "star_blank:		$HTDIG_DATA_DIR/pics/star_blank.png" >>"$GLOBAL_HTDIG_DIR/htdig.conf"
+  echo "compression_level:	6" >>"$GLOBAL_HTDIG_DIR/htdig.conf"
+  echo "max_hop_count:		0" >>"$GLOBAL_HTDIG_DIR/htdig.conf"
+  echo "search_results_wrapper:	$HTDIG_DATA_DIR/en/wrapper.html" >>"$GLOBAL_HTDIG_DIR/htdig.conf"
+  echo "nothing_found_file:	$HTDIG_DATA_DIR/en/nomatch.html" >>"$GLOBAL_HTDIG_DIR/htdig.conf"
+  echo "syntax_error_file:	$HTDIG_DATA_DIR/en/syntax.html" >>"$GLOBAL_HTDIG_DIR/htdig.conf"
+  echo "bad_word_list:		$HTDIG_DATA_DIR/en/bad_words" >>"$GLOBAL_HTDIG_DIR/htdig.conf"
+fi
+
+# Create the list of files to index
+rm -f "$GLOBAL_HTDIG_DIR/files" 2> /dev/null
+if [ -e "$GLOBAL_HTDIG_DIR/qtdoc_files" ]; then
+  cat "$GLOBAL_HTDIG_DIR/qtdoc_files" > "$GLOBAL_HTDIG_DIR/files"
+fi
+if [ -e "$GLOBAL_HTDIG_DIR/kdelibsdoc_files" ]; then
+  cat "$GLOBAL_HTDIG_DIR/kdelibsdoc_files" >> "$GLOBAL_HTDIG_DIR/files"
+fi
+if [ -e "$GLOBAL_HTDIG_DIR/kdevelopdoc_files" ]; then
+  cat "$GLOBAL_HTDIG_DIR/kdevelopdoc_files" >> "$GLOBAL_HTDIG_DIR/files"
+fi
+
+# Index the files
+/usr/bin/htdig $initial -s -c "$GLOBAL_HTDIG_DIR/htdig.conf" "$GLOBAL_HTDIG_DIR/files" > /dev/null 2>&1
+/usr/bin/htmerge -s -c "$GLOBAL_HTDIG_DIR/htdig.conf" > /dev/null 2>&1
+
+# Mark the current package versions as indexed
+echo "QTDOC_VERSION=\"$QTDOC_VERSION\"" > "$GLOBAL_HTDIG_DIR/package_versions"
+echo "KDEDOC_VERSION=\"$KDEDOC_VERSION\"" >> "$GLOBAL_HTDIG_DIR/package_versions"
+echo "KDEVELOPDOC_VERSION=\"$KDEVELOPDOC_VERSION\"" >> "$GLOBAL_HTDIG_DIR/package_versions"
+chmod 0764 "$GLOBAL_HTDIG_DIR/package_versions"


More information about the KDevelop-devel mailing list